'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.verify = undefined;

var _slicedToArray = function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"]) _i["return"](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError("Invalid attempt to destructure non-iterable instance"); } }; }();

var _jws = require('jws');

var _jws2 = _interopRequireDefault(_jws);

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var isString = function isString(obj) {
  return typeof obj === 'string';
};

var tokenPayload = function tokenPayload(token) {
  var data = _jws2.default.decode(token);
  var rawPayload = data !== null ? data.payload : null;

  return (isString(rawPayload) ? JSON.parse(rawPayload) : rawPayload) || '';
};

function getToken(headers) {
  if (!headers.authorization) return null;

  var _headers$authorizatio = headers.authorization.split('Bearer '),
      _headers$authorizatio2 = _slicedToArray(_headers$authorizatio, 2),
      token = _headers$authorizatio2[1];

  if (!token) return null;

  try {
    return tokenPayload(token);
  } catch (e) {
    return null;
  }
}

var verify = exports.verify = function verify(headerToken, headers) {
  if (!headers.hasOwnProperty('x-shopify-hmac-sha256')) {
    return _lodash2.default.isEqual(tokenPayload(headerToken), getToken(headers));
  }
  return true;
};

exports.default = verify;