'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.log = undefined;

var _winston = require('winston');

var _winston2 = _interopRequireDefault(_winston);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var log = exports.log = process.env.NODE_ENV !== 'test' ? new _winston2.default.Logger({
  transports: [new _winston2.default.transports.Console({
    level: process.env.LOG_LEVEL || 'debug',
    colorize: false,
    handleExceptions: true,
    humanReadableUnhandledException: true,
    json: process.env.NODE_ENV === 'production',
    stringify: process.env.NODE_ENV === 'production',
    timestamp: true
  })]
}) : {
  info: function info() {},
  warn: function warn() {},
  error: function error() {},
  debug: function debug() {}
};